commit:     1ab484d224b3309e6d0aa8c19691ea412f6a6aad
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  2 21:31:42 2025 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Jun  2 22:57:24 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ab484d2

sci-libs/brial: subslot dep for sci-libs/m4ri

Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/brial/brial-1.2.12-r1.ebuild | 36 +++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/sci-libs/brial/brial-1.2.12-r1.ebuild 
b/sci-libs/brial/brial-1.2.12-r1.ebuild
new file mode 100644
index 000000000000..bccf88a7bfcd
--- /dev/null
+++ b/sci-libs/brial/brial-1.2.12-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A C++ library for polynomials over boolean rings"
+HOMEPAGE="https://github.com/BRiAl/BRiAl";
+SRC_URI="https://github.com/BRiAl/BRiAl/releases/download/${PV}/${P}.tar.bz2";
+
+# The top-level license is GPL2+, but cudd/LICENSE is BSD.
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="png"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="dev-libs/boost
+       >=sci-libs/m4ri-20250128:=[png=]"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       tc-export PKG_CONFIG
+
+       # with-boost-libdir added to deal with some rather quirky setups
+       # see https://github.com/cschwan/sage-on-gentoo/issues/551
+       econf \
+               --with-boost="${ESYSROOT}"/usr \
+               --with-boost-libdir="${ESYSROOT}"/usr/$(get_libdir)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to